using SqlSugar;
using System;

namespace DeviceRepair.Models.Common
{
    /// <summary>
    /// 邮件配置表
    ///</summary>
    [SugarTable("sysEmailConfig")]
    public class SysEmailConfigInfo
    {
        /// <summary>
        ///  主键编号
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        ///  唯一编号
        /// 默认值: (newid())
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid Guid { get; set; }

        /// <summary>
        ///  模块编码
        ///</summary>
        [SugarColumn(ColumnName = "MuduleCode")]
        public string MuduleCode { get; set; }

        /// <summary>
        ///  邮箱账户
        ///</summary>
        [SugarColumn(ColumnName = "EmailAddress")]
        public string EmailAddress { get; set; }

        /// <summary>
        ///  邮箱密码（Des加密）
        ///</summary>
        [SugarColumn(ColumnName = "EmailPassWord")]
        public string EmailPassWord { get; set; }

        /// <summary>
        ///  邮箱是否为无密码模式
        ///</summary>
        [SugarColumn(ColumnName = "EmailNoPass")]
        public bool EmailNoPass { get; set; }

        /// <summary>
        ///  邮箱发件url
        ///</summary>
        [SugarColumn(ColumnName = "SmtpServer")]
        public string SmtpServer { get; set; }

        /// <summary>
        ///  邮箱发件端口
        ///</summary>
        [SugarColumn(ColumnName = "SmtpPort")]
        public int SmtpPort { get; set; }

        /// <summary>
        ///  是否SSL加密
        ///</summary>
        [SugarColumn(ColumnName = "SmtpSSL")]
        public bool SmtpSSL { get; set; }

        /// <summary>
        ///  状态
        ///  C 创建
        ///  A 激活
        ///  L 锁定
        ///  D 删除
        ///</summary>
        [SugarColumn(ColumnName = "Status")]
        public string Status { get; set; }
    }
}
